Recommended update for mksusecd

SUSE Recommended Update: Recommended update for mksusecd
Announcement ID: SUSE-RU-2019:2184-1
Rating: moderate
References: #1000947 #1093145 #1097814 #1100236 #1139561
Affected Products:
  • SUSE Linux Enterprise Module for Development Tools 15

An update that has 5 recommended fixes can now be installed.

Description:

This update for mksusecd fixes the following issues:

  • Embed gpg signature of checksum metadata into image. (bsc#1139561)
  • Set the default to unsigned images.
  • Add --enable-repos option.
  • Support aarch64 media.
  • No longer assume repo-md repositories don't include the installer. (bsc#1093145)
  • Adjust isozipl according to the changes of isoinfo. (bsc#1097814)
  • Don't miss zstd compression module. (bsc#1100236)
  • Keep some meta data for media checking even if the filesystem does not use iso9660. (bsc#1000947)
  • adjust to isoinfo and syslinux changes (bsc#1097814)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Development Tools 15:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-15-2019-2184=1

Package List:

  • SUSE Linux Enterprise Module for Development Tools 15 (aarch64 ppc64le s390x x86_64):
    • mksusecd-1.69-3.3.1
    • mksusecd-debuginfo-1.69-3.3.1
    • mksusecd-debugsource-1.69-3.3.1

References: